/api/v1/track-record
GET
/api/v1/track-record
const url = 'https://nbaproplab.com/api/v1/track-record';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://nbaproplab.com/api/v1/track-record \ --header 'Authorization: Bearer <token>' \ --header 'X-API-Key: <X-API-Key>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” tier
string
statType
string
period
string
from
string
to
string
league
string
Responses
Section titled “ Responses ”OK
object
totalPicksSettled
integer | string format: int32
totalHits
integer | string format: int32
totalMisses
integer | string format: int32
overallHitRate
number | string format: double
totalProfit
number | string format: double
totalDays
integer | string format: int32
firstDate
null | string format: date
lastDate
null | string format: date
elitePicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
goodPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
marginalPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
weakPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
dailyResults
Array<object>
object
date
string format: date
picksSettled
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
cumulativeProfit
number | string format: double
goodPicks
integer | string format: int32
goodHits
integer | string format: int32
isLive
boolean
currentStreak
integer | string format: int32
streakType
string
recentGoodPicks
Array<object>
object
date
string format: date
playerName
string
stat
string
direction
string
line
number | string format: double
score
number | string format: double
rating
string
hit
null | boolean
actualValue
null | number | string format: double
isLive
boolean
league
string
motorPicksDaily
Array<object>
object
date
string format: date
totalPicks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
object
totalPicksSettled
integer | string format: int32
totalHits
integer | string format: int32
totalMisses
integer | string format: int32
overallHitRate
number | string format: double
totalProfit
number | string format: double
totalDays
integer | string format: int32
firstDate
null | string format: date
lastDate
null | string format: date
elitePicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
goodPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
marginalPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
weakPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
dailyResults
Array<object>
object
date
string format: date
picksSettled
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
cumulativeProfit
number | string format: double
goodPicks
integer | string format: int32
goodHits
integer | string format: int32
isLive
boolean
currentStreak
integer | string format: int32
streakType
string
recentGoodPicks
Array<object>
object
date
string format: date
playerName
string
stat
string
direction
string
line
number | string format: double
score
number | string format: double
rating
string
hit
null | boolean
actualValue
null | number | string format: double
isLive
boolean
league
string
motorPicksDaily
Array<object>
object
date
string format: date
totalPicks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
Example generated
{ "totalPicksSettled": 1, "totalHits": 1, "totalMisses": 1, "overallHitRate": 1, "totalProfit": 1, "totalDays": 1, "firstDate": "2026-04-15", "lastDate": "2026-04-15", "elitePicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "goodPicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "marginalPicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "weakPicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "dailyResults": [ { "date": "2026-04-15", "picksSettled": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "cumulativeProfit": 1, "goodPicks": 1, "goodHits": 1, "isLive": true } ], "currentStreak": 1, "streakType": "example", "recentGoodPicks": [ { "date": "2026-04-15", "playerName": "example", "stat": "example", "direction": "example", "line": 1, "score": 1, "rating": "example", "hit": true, "actualValue": 1, "isLive": true, "league": "example" } ], "motorPicksDaily": [ { "date": "2026-04-15", "totalPicks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1 } ]}object
totalPicksSettled
integer | string format: int32
totalHits
integer | string format: int32
totalMisses
integer | string format: int32
overallHitRate
number | string format: double
totalProfit
number | string format: double
totalDays
integer | string format: int32
firstDate
null | string format: date
lastDate
null | string format: date
elitePicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
goodPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
marginalPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
weakPicks
object
picks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
avgScore
number | string format: double
roi
number | string format: double
dailyResults
Array<object>
object
date
string format: date
picksSettled
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
cumulativeProfit
number | string format: double
goodPicks
integer | string format: int32
goodHits
integer | string format: int32
isLive
boolean
currentStreak
integer | string format: int32
streakType
string
recentGoodPicks
Array<object>
object
date
string format: date
playerName
string
stat
string
direction
string
line
number | string format: double
score
number | string format: double
rating
string
hit
null | boolean
actualValue
null | number | string format: double
isLive
boolean
league
string
motorPicksDaily
Array<object>
object
date
string format: date
totalPicks
integer | string format: int32
hits
integer | string format: int32
misses
integer | string format: int32
hitRate
number | string format: double
profit
number | string format: double
Example generated
{ "totalPicksSettled": 1, "totalHits": 1, "totalMisses": 1, "overallHitRate": 1, "totalProfit": 1, "totalDays": 1, "firstDate": "2026-04-15", "lastDate": "2026-04-15", "elitePicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "goodPicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "marginalPicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "weakPicks": { "picks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "avgScore": 1, "roi": 1 }, "dailyResults": [ { "date": "2026-04-15", "picksSettled": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1, "cumulativeProfit": 1, "goodPicks": 1, "goodHits": 1, "isLive": true } ], "currentStreak": 1, "streakType": "example", "recentGoodPicks": [ { "date": "2026-04-15", "playerName": "example", "stat": "example", "direction": "example", "line": 1, "score": 1, "rating": "example", "hit": true, "actualValue": 1, "isLive": true, "league": "example" } ], "motorPicksDaily": [ { "date": "2026-04-15", "totalPicks": 1, "hits": 1, "misses": 1, "hitRate": 1, "profit": 1 } ]}Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}